bitbake systemd-gnome-image fails on ca-certificates_20111025

After setting up my system according to
http://www.angstrom-distribution.org/building-angstrom, I'm having
problems while trying to build systemd-gnome-image. Building other
recipes such as systemd-image works fine. Here's the error I get:

ERROR: Function 'Fetcher failure for URL:
ftp://ftp.debian.org/debian/pool/main/c/ca-certificates/ca-certificates_20111025.tar.gz’.
Checksum mismatch!
File:
‘/stuff/setup-scripts/sources/downloads/ca-certificates_20111025.tar.gz’
has md5 checksum 35f31b2d17979f12a7c75113b7de5b17 when
dfd593c9f89e64351aae78b9be588696 was expected (from URL:
ftp://ftp.debian.org/debian/pool/main/c/ca-certificates/ca-certificates_20111025.tar.gz’)
File:
‘/stuff/setup-scripts/sources/downloads/ca-certificates_20111025.tar.gz’
has sha256 checksum
f9a0144463f518f9f8995b7553b596f12cbf0a49c64f9e1db9d9c69fe83b243d when
318bbf0f7c0a32adc10105f843148fd0e9e3b013de75645c02ea858652240924 was
expected (from URL:
'ftp://ftp.debian.org/debian/pool/main/c/ca-certificates/ca-certificates_20111025.tar.gz’)’
failed

ERROR:
'/stuff/setup-scripts/sources/meta-openembedded/meta-oe/recipes-support/ca-certificates/ca-certificates_20111025.bb'
failed

If I ftp to ftp.debian.org and look in that directory, the files present
are:

drwxr-sr-x 2 1176 1176 4096 Dec 28 14:25 .
drwxr-sr-x 945 1176 1176 36864 Jan 03 21:32 ..
-rw-rw-r-- 1 1176 1176 788 Aug 09 2008
ca-certificates_20080809.dsc
-rw-rw-r-- 1 1176 1176 220104 Aug 09 2008
ca-certificates_20080809.tar.gz
-rw-rw-r-- 1 1176 1176 151008 Aug 09 2008
ca-certificates_20080809_all.deb
-rw-rw-r-- 1 1176 1176 1135 Sep 21 19:54
ca-certificates_20090814+nmu3squeeze1.dsc
-rw-rw-r-- 1 1176 1176 232277 Sep 21 19:54
ca-certificates_20090814+nmu3squeeze1.tar.gz
-rw-rw-r-- 1 1176 1176 145802 Sep 21 19:54
ca-certificates_20090814+nmu3squeeze1_all.deb
-rw-rw-r-- 1 1176 1176 1747 Dec 14 19:47
ca-certificates_20111211.dsc
-rw-rw-r-- 1 1176 1176 277937 Dec 14 19:47
ca-certificates_20111211.tar.gz
-rw-rw-r-- 1 1176 1176 175372 Dec 14 19:47
ca-certificates_20111211_all.deb

What's the best way for me to fix the problem? Should I simply download
the latest tar.gz, create an md5sum for it and edit the .bb for
ca-certificates? I'm relatively new to Beagleboards, so hopefully this
isn't already covered in a FAQ or a link somewhere that I missed.